Bug 236290 - [PATCH] multimedia/gstreamer1-transcoder: add DOCS option
Summary: [PATCH] multimedia/gstreamer1-transcoder: add DOCS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-05 18:39 UTC by Ivan Rozhuk
Modified: 2020-12-22 17:30 UTC (History)
4 users (show)

See Also:
rozhuk.im: maintainer-feedback-
rozhuk.im: merge-quarterly?


Attachments
gtkdoc opt (3.26 KB, patch)
2019-03-05 18:39 UTC, Ivan Rozhuk
no flags Details | Diff
gtkdoc opt (3.23 KB, patch)
2019-03-05 18:41 UTC, Ivan Rozhuk
no flags Details | Diff
patch (2.83 KB, patch)
2020-03-14 02:28 UTC, Ivan Rozhuk
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Rozhuk 2019-03-05 18:39:51 UTC
Created attachment 202603 [details]
gtkdoc opt
Comment 1 Ivan Rozhuk 2019-03-05 18:41:06 UTC
Created attachment 202604 [details]
gtkdoc opt
Comment 2 Steve Wills freebsd_committer 2019-05-07 11:36:23 UTC
This should be DOCS, not GTKDOC
Comment 3 Ivan Rozhuk 2020-03-14 02:28:16 UTC
Created attachment 212396 [details]
patch
Comment 4 John Hein 2020-04-24 13:02:11 UTC
(In reply to Steve Wills from comment #2)
Using DOCS implies a default-on condition.
I think that's appropriate for pre-generated docs.

Pulling in gtkdoc and generating docs at build time may not be a good default-on option.  This is the same reason DOXYGEN is often a separate option (and is off by default).  Most end-users don't care about the generated API docs.  Some ports explicitly turn off gtkdoc generation and don't even provide an option to turn it on.

I think it's okay, perhaps better, to use a GTKDOC option that is off by default.

Whoever commits this might consider using the GTKDOC flavor of the patch.

Oh, and... maintainer timeout?
Comment 5 Ivan Rozhuk 2020-12-21 03:55:29 UTC
maintainer timeout

There is 2 patch: DOCS and GTKDOC choose one.
Comment 6 Tobias C. Berner freebsd_committer 2020-12-22 17:29:29 UTC
Committed. Thanks.
Comment 7 commit-hook freebsd_committer 2020-12-22 17:30:15 UTC
A commit references this bug:

Author: tcberner
Date: Tue Dec 22 17:29:19 UTC 2020
New revision: 558928
URL: https://svnweb.freebsd.org/changeset/ports/558928

Log:
  multimedia/gstreamer1-transcoder: add DOCS option

  PR:		236290
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/multimedia/gstreamer1-transcoder/Makefile
  head/multimedia/gstreamer1-transcoder/pkg-plist